com.pixelmed.ftp

## Class FTPClientApplicationConfigurationDialog

- java.lang.Object
- - com.pixelmed.ftp.FTPClientApplicationConfigurationDialog

    public class FTPClientApplicationConfigurationDialog
    extends java.lang.Object

This class provides a user interface for applications to configure and test properties related to remote FTP hosts.

### Nested Class Summary

Nested Classes
`protected class` `FTPClientApplicationConfigurationDialog.AddRemoteHostActionListener`
`protected class` `FTPClientApplicationConfigurationDialog.DoneActionListener`
`protected class` `FTPClientApplicationConfigurationDialog.EditRemoteHostActionListener`
`protected class` `FTPClientApplicationConfigurationDialog.RemoveRemoteHostActionListener`

### Field Summary

Fields
`protected javax.swing.JTextField` `calledAETitleField`
`protected javax.swing.JTextField` `callingAETitleField`
`protected FTPApplicationProperties` `ftpApplicationProperties`
`protected FTPRemoteHostInformation` `ftpRemoteHostInformation`
`protected javax.swing.JTextField` `listeningPortField`

### Constructor Summary

Constructors
Constructor and Description
`FTPClientApplicationConfigurationDialog(java.awt.Component parent, FTPRemoteHostInformation ftpRemoteHostInformation, FTPApplicationProperties ftpApplicationProperties)` Configure and test network information.

### Method Summary

Methods
`static void` `main(java.lang.String[] arg)` Test the editing of network properties from the specified file.
`protected java.lang.String` `showInputDialogToSelectNetworkTargetByLocalName(java.awt.Component parent, FTPRemoteHostInformation ftpRemoteHostInformation, java.lang.String message, java.lang.String title)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ftpRemoteHostInformation

    protected FTPRemoteHostInformation ftpRemoteHostInformation

#### ftpApplicationProperties

    protected FTPApplicationProperties ftpApplicationProperties

#### calledAETitleField

    protected javax.swing.JTextField calledAETitleField

#### callingAETitleField

    protected javax.swing.JTextField callingAETitleField

#### listeningPortField

    protected javax.swing.JTextField listeningPortField

### Constructor Detail

#### FTPClientApplicationConfigurationDialog

    public FTPClientApplicationConfigurationDialog(java.awt.Component parent,
                                           FTPRemoteHostInformation ftpRemoteHostInformation,
                                           FTPApplicationProperties ftpApplicationProperties)
                                            throws FTPException

Configure and test network information.

Parameters:
  `parent` - the parent component on which the new dialog is centered, may be null in which case centered on the screen
  `ftpRemoteHostInformation` - the current information whose contents are to be replaced with updated information
  `ftpApplicationProperties` - the static properties that are to be edited
Throws:
  `FTPException`

### Method Detail

#### showInputDialogToSelectNetworkTargetByLocalName

    protected java.lang.String showInputDialogToSelectNetworkTargetByLocalName(java.awt.Component parent,
                                                                   FTPRemoteHostInformation ftpRemoteHostInformation,
                                                                   java.lang.String message,
                                                                   java.lang.String title)

#### main

    public static void main(java.lang.String[] arg)

Test the editing of network properties from the specified file.

Parameters:
  `arg` - a single file name that is the properties file